const path = require('path');
const tsLoader = require('awesome-typescript-loader');
const CheckerPlugin = tsLoader.CheckerPlugin;

const config = {
  entry: {
    index: './src/index.ts',
  },
  output: {
    path: path.resolve('./', 'dist'),
    filename: '[name].js',
    library: '$cr',
    libraryTarget: 'umd'
  },
  devtool: 'source-map',
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        loader: 'awesome-typescript-loader'
      }
    ]
  },
  resolve: {
    extensions: ['.ts', '.tsx', '.js', '.jsx']
  },
  plugins: [
    new CheckerPlugin()
  ]
};

module.exports = config;
